$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.37.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.2.37.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'AFDEE7E3D06BD67E6E7760F6B6A769EFB7B5AFCEE1D3F800B1E6FCF11163CC46'
  checksumType = 'sha256'
  checksum64 = 'AFDEE7E3D06BD67E6E7760F6B6A769EFB7B5AFCEE1D3F800B1E6FCF11163CC46'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.2.37-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
